package com.example.elena.emailintent;

import android.app.Activity;
import android.os.Bundle;
import android.content.Intent;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.Button;
import android.widget.EditText;


public class MainActivity extends Activity {

    EditText textTo;
    EditText textSubject;
    EditText textMessage;
    Button buttonSend;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        buttonSend = (Button)findViewById(R.id.buttonSend);
        textTo = (EditText)findViewById(R.id.textTo);
        textSubject = (EditText)findViewById(R.id.textSubject);
        textMessage = (EditText)findViewById(R.id.textMessage);

       buttonSend.setOnClickListener(
               new OnClickListener() {

                   @Override
                   public void onClick(View v) {
                       String to = textTo.getText().toString();
                       String subject = textSubject.getText().toString();
                       String message = textMessage.getText().toString();

                       Intent email = new Intent(Intent.ACTION_SEND);
                       email.putExtra(Intent.EXTRA_EMAIL, new String[]{to});
                       email.putExtra(Intent.EXTRA_SUBJECT, new String[]{subject});
                       email.putExtra(Intent.EXTRA_TEXT, new String[]{message});

                       startActivity(Intent.createChooser(email, "Choose an email client:"));
                   }

               }
       );
    }


    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_main, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }
}
